<template>
  <div id="app">
    <Debugger />
    <van-tabbar v-model="active" @change="routeToActivePage">
      <van-tabbar-item v-if="!hideSetupTab" to="/" icon="setting-o">Setup</van-tabbar-item>
      <van-tabbar-item to="/organizations" icon="hotel-o">Organizations</van-tabbar-item>
    </van-tabbar>
    <router-view/>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';
import names from './names';
import Debugger from '@/components/header/Debugger';

export default {
  components: {
    Debugger,
  },
  name: 'App',
  data() {
    return {
      componentKey: 0,
      active: this.$store.state.Router.name === 'organizations' ? 1 : 0,
      hideSetupTab: this.$store.state.Wallet.user.wallet,
    };
  },
  created() {
    this.$on('send', (text) => {
      this.active = this.$store.state.Router.name === 'organizations' ? 1 : 0;
      this.hideSetupTab = this.$store.state.Wallet.user.wallet;
    });
  },
  methods: {
    forceRerender() {
      this.componentKey += 1;
    },
    async routeToActivePage(event) {
      if (event === 0) {
        this.$router.push({ name: names.HOME });
      } else if (event === 1) {
        this.$router.push({ name: names.ORGANIZATIONS });
      } else if (event === 2) {
        // this.$router.push({ name: names.WALLET });
      } else {
        // this.$router.push({ name: names.HOME });
      }
    },
  },
};

</script>

<style>
body {
  background-color: #396c9b;
  -webkit-font-smoothing: antialiased;
}

.konsent-button {
  display:block; margin-top:2em; margin-left:auto; margin-right:auto; min-width:12em;
}

.konsent-button span {
  font-weight:bold;
}

.mt-1 {
  margin-top:1em;
}

.mt-2 {
  margin-top:2em;
}

.mt-3 {
  margin-top:3em;
}

.mt-5 {
  margin-top:5em;
}

.m-1 {
  margin-top: 1em;
  margin-bottom: 1em;
  margin-left: 1em;
  margin-right: 1em;
}
.m-2 {
  margin-top: 2em;
  margin-bottom: 2em;
  margin-left: 2em;
  margin-right: 2em;
}
.m-3 {
  margin-top: 3em;
  margin-bottom: 3em;
  margin-left: 3em;
  margin-right: 3em;
}

.app-header{
  padding:5em 0; color:white; text-align: center;
}

.org-header {
  margin-left:auto;
  margin-right:auto;
  text-align:center;
  color:white;
  padding: 2em 0;
}

</style>
